Subject: Re[2]: different mount table per bash session
From: [email-masked]
Cc: [email-masked]
Date: Mon, 21 Apr 2003 17:48:47 +0200

Mailing-List: contact [email-masked]; run by ezmlm
Sender: [email-masked]
Mail-Followup-To: [email-masked]
Date: Mon, 21 Apr 2003 11:03:40 -0400 (EDT)
From: Igor Pechtchanski <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: Re: different mount table per bash session
Importance: Normal
     Sorry Igor ,
     my mail program, is very limited  but secure , not like some MS 
     products , in my company use of other mail prg is prohibited.
     
     There is a product called MSYS  ( Cygwin like ) , quite nice , it 
     saves the mount tab in a file.
     i copied it into my working drives and configured the mount tab 
     by a script which fetch the current drive letter nad create the mount 
     table first.
     then i lanch my application using the sh of the current MSYS directory 
     ,wich will use the private mout table.
     temporarly i'm using this solution , but i think tha't using runas is 
     better , so i'm working on.
     
     thank you very much =)
     
     PS : my shift key still don't work ??

     

______________________________ Reply Separator _________________________________
Subject: Re: different mount table per bash session
Author:  pechtcha at internet/dd.RFC-822=pechtcha@cs\.nyu\.edu
Date:    4/21/2003 5:03 PM

Saber,
     
Please honor the Reply-To: -- there is no need to Cc: me, I'm on the list. 
Also, that's a *really* weird method of quoting...  I wonder which mailer 
uses it...
     
Cygwin gets the user information from Windows.  It relies on Windows to do 
the authentication (in case of NT).  Cygwin has an /etc/passwd (and an 
/etc/group), but uses it to store information that Windows doesn't (such 
as the login shell).  Use Windows tools (e.g. "net user") to add users and 
groups.
     
"login" most likely won't work for switching user contexts; for details 
see <http://cygwin.com/ml/cygwin/2001-03/msg00337.html>.  The preferred 
method for switching user contexts is either "ssh user@localhost" with a 
running sshd, the Windows-provided "runas" command (see "runas /?"), or 
"at /interactive ... login user" (see "at /?" for details).
        Igor
P.S. Your "Shift" key is still not fixed.
     
On Mon, 21 Apr 2003 [email-masked] wrote:
     
     Igor,
     the user that cygwin considers is the windows user ,
     is it possible , to emulate multi user session system with cygwin ; 
     make cygwin consider a /etc/passwd like file.
     allowing user switch using login command ?
     when i see to /bin , i don't see neither adduser , nor addgroup.
     
______________________________ Reply Separator _________________________________
Subject: Re: different mount table per bash session
Author:  pechtcha at internet/dd.RFC-822=pechtcha@cs\.nyu\.edu 
Date:    4/21/2003 4:02 PM

On Fri, 18 Apr 2003 [email-masked] wrote:
     
> Hi there ,
>
> I'm using cygwin bash to run a certain nmber of processes on separate 
> drives , each time i start a new process i mount it's working drive , 
> but this way all previous processes change their working drive ; cause 
> of the latest mount.
> could some one tell me how could i resolve this problem. 
>
> Tks .
     
Saber,
     
I'm assuming you're only talking about auxiliary mounts, and that the main 
mounts ("/", "/usr/bin", and "/usr/lib") are the same for all bash 
instances.
     
Cygwin only supports two mount tables at a time for each user (one system 
table and one user table).  The system table is shared among all users. 
Aside from the fact that (as Rolf has pointed out) you don't really *need* 
to mount anything, the only way you can get separate mount tables in 
separate bash sessions is by running them as different users.  You could 
use either "ssh" or "at /interactive" to switch user contexts.  Don't 
forget to use "mount -u", or you'll be changing the system mount table.
        Igor
P.S. Your "Shift" key seems to be malfunctioning... 
-- 
                                http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_                [email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_            [email-masked]
     |,4-  ) )-,_. ,\ (  `'-'           Igor Pechtchanski
    '---''(_/--'  `-'\_) fL     a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
     
Knowledge is an unending adventure at the edge of uncertainty.
  -- Leto II

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple 
Problem reports:       http://cygwin.com/problems.html 
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/
     
-- 
                                http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_                [email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_            [email-masked]
     |,4-  ) )-,_. ,\ (  `'-'           Igor Pechtchanski
    '---''(_/--'  `-'\_) fL     a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
     
Knowledge is an unending adventure at the edge of uncertainty.
  -- Leto II

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple 
Problem reports:       http://cygwin.com/problems.html 
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/